# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Config/Auto.pm) perl(English.pm) perl(ExtUtils/Command.pm) perl(FindBin.pm) perl(Module/Build.pm) perl(Module/Starter/App.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%add_findprov_skiplist %perl_vendor_privlib/CGI/Application/Structured/Tools/templates/*
%add_findreq_skiplist %perl_vendor_privlib/CGI/Application/Structured/Tools/templates/*
BuildRequires: perl-HTML-Template
Name:           perl-CGI-Application-Structured-Tools
Version:        0.015
Release:        alt1_4
Summary:        Tools to generate and maintain CGI::Application::Structured based web apps
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/CGI-Application-Structured-Tools/
Source0:        http://www.cpan.org/authors/id/V/VA/VANAMBURG/CGI-Application-Structured-Tools-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(CGI/Application/Structured.pm)
BuildRequires:  perl(DBIx/Class/Schema/Loader.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Slurp.pm)
BuildRequires:  perl(HTML/Template.pm)
BuildRequires:  perl(Module/Signature.pm)
BuildRequires:  perl(Module/Starter.pm)
BuildRequires:  perl(Module/Starter/Plugin/Template.pm)
BuildRequires:  perl(Module/Starter/Simple.pm)
BuildRequires:  perl(Pod/Coverage.pm)
BuildRequires:  perl(Probe/Perl.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/WWW/Mechanize/CGIApp.pm)

# RPM 4.8 style:
%filter_from_requires /main_module>)/d; /perl.<tmpl_var.pm./d; /perl(<tmpl_var/d

# RPM 4.9 style:



Source44: import.info

%description
A simple, medium-weight, MVC, DB web micro-framework built on
CGI::Application. The framework combines tested, well known plugins, templates
and helper scripts to provide a rapid development environment.

%prep
%setup -q -n CGI-Application-Structured-Tools-%{version}

cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(<tmpl_var)/d'
EOF

%global __perl_requires %{_builddir}/CGI-Application-Structured-Tools-%{version}/%{name}-req
chmod +x %{__perl_requires}

cd lib/CGI/Application/Structured/Tools/templates
for i in create_dbic_schema.pl create_controller.pl \
         boilerplate.t perl-critic.t pod.t pod-coverage.t \
         test-app.t 00-signature.t 01-load.t; do
    chmod 755 $i;
    sed -i 's#!perl#!\/usr\/bin\/perl#' $i;
done

# These are not executables
chmod 644 index.tmpl config-dev.pl

# This is a perl script
sed -i -e '1i#!/usr/bin/perl' server.pl

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README Todo
%{perl_vendor_privlib}/*
%{_mandir}/man1/*
%{_bindir}/cas-starter.pl

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.015-alt1_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.015-alt1_3
- update to new release by fcimport

* Wed May 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.015-alt1_1
- fc import

